Bug 1571302 - Cannot record multiple screens with CTRL+ALT+SHIFT+R, and no error message
Summary: Cannot record multiple screens with CTRL+ALT+SHIFT+R, and no error message
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 13:27 UTC by Till Maas
Modified: 2019-11-27 23:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:37:54 UTC
Type: Bug


Attachments (Terms of Use)

Description Till Maas 2018-04-24 13:27:12 UTC
Description of problem:
Screen recording does not work

Version-Release number of selected component (if applicable):
gnome-shell-3.26.2-4.fc27

How reproducible:
always

Steps to Reproduce:
1. CTRL+ALT+SHIFT+R in gnome-shell
2. recording button appears
3. CTRL+ALT+SHIRT+R to stop recording

Actual results:
File in ~/Videos is empty, journal shows errors:
org.gnome.Shell.desktop[2210]: Recording to /home/till/Videos/Bildschirmvideo von 24.04.2018 15:18:53.webm
gnome-shell[2210]: Error in recording pipeline: Internal data stream error.
gnome-shell[2210]: recorder_record_frame: assertion 'recorder->current_pipeline != NULL' failed
gnome-shell[2210]: shell_recorder_close: assertion 'recorder->state != RECORDER_STATE_CLOSED' failed


Expected results:
A video would be recorded

Additional info:

Comment 1 Till Maas 2018-04-24 13:32:04 UTC
It works when I only activate the internal screen or one external screen. Initially I used the internal screen and two external screens and it just failed.

Comment 2 Ben Cotton 2018-11-27 16:02:57 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2018-11-30 21:12:43 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Marius Vollmer 2019-04-05 10:28:36 UTC
Still the same issue with gnome-shell-3.30.2-1.fc29.x86_64 in Fedora 29.

Comment 5 Marius Vollmer 2019-04-05 10:30:40 UTC
Recording multiple screens doesn't make a whole lot of sense without being able to select a window or an area, so showing a clear error instead of recording nothing would be appreciated.

Comment 6 Petr Schindler 2019-10-30 09:35:08 UTC
Recording of multiple external screens (2) works for me in F31 with gnome-shell-3.34.1-2.fc31.x86_64

Can you still reproduce this issue?

This could be caused by the amount of memory the gnome-shell uses when it records the video. It can be several GBs (especially when more monitors are used). So if you don't have enough of memory it can fail to record the video.

Comment 7 Marius Vollmer 2019-10-30 10:11:20 UTC
(In reply to Petr Schindler from comment #6)
> Recording of multiple external screens (2) works for me in F31 with
> gnome-shell-3.34.1-2.fc31.x86_64

I will try once I have updated to Fedora 31.

Comment 8 Marius Vollmer 2019-10-30 13:11:33 UTC
Yes, works now for me.

gnome-shell takes a long post-processing the video and the resulting video is very jerky, but that is probably expected with so many pixels (5560 × 1920 in my case).

I don't intend to actually use CTRL+ALT+SHIFT+R with all three monitors, but when I was testing it out to see whether I could trigger it at all (what with my funny keyboard rebindings), it looked like I couldn't trigger it.  I didn't realize that it was just crashing.

Recording with a single screen works well enough, except: I didn't get any audio, and recording stopped automatically after 30 seconds.  Those are deal breakers for me so I have to go look for another solution.  I hope I can get greenrecorder working again... Any other suggestions?

Comment 9 Petr Schindler 2019-10-31 07:33:08 UTC
Thanks for update. So this works for you now (at least basically). I wonder if there is still reproducer for example on machine with small memory. I will try it with VMs.

To your problem with recording. I think that part of the problem is Wayland. Try to switch to X session (from gdm). I think that audio isn't captured because it's just screen recording not session. And the maximal length can be changed like this: gsettings set org.gnome.settings-daemon.plugins.media-keys max-screencast-length {seconds}

Comment 10 Marius Vollmer 2019-10-31 08:49:31 UTC
(In reply to Petr Schindler from comment #9)

> To your problem with recording. I think that part of the problem is Wayland.
> Try to switch to X session (from gdm). I think that audio isn't captured
> because it's just screen recording not session. And the maximal length can
> be changed like this: gsettings set
> org.gnome.settings-daemon.plugins.media-keys max-screencast-length {seconds}

Thanks!  I have green-recorder working again.  It's not a great program but it does the job.  Maybe I find the motivation to actually start fixing it. :-)

Comment 11 Ben Cotton 2019-10-31 18:42:41 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Ben Cotton 2019-11-27 23:37:54 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.